Bill.DO API v1
integer · requiredinteger · min: 1 · max: 100integer · min: 1string | null · enumstring | null · maxLength: 64string | null · enumstring | null · maxLength: 255
Resources
The billable DigitalOcean resources of an account: apps, databases, droplets, load balancers, snapshots and volumes.
List resources
GET
https://bill.do/api/v1
/accounts/{account}/resources
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)
List the billable resources of the account with their cost, newest first. Returns the resources that exist unless status says otherwise.
path Parameters
accountquery Parameters
per_pageNumber of results per page.
Default: 50
pagePage number to return.
Default: 1
typeOnly return resources of this type: app, database, droplet, load_balancer, snapshot or volume.
Enum values:
app
volume
droplet
database
snapshot
load_balancer
projectOnly return resources assigned to this DigitalOcean project UUID. Needs a plan with the project filter.
statusactive for resources that exist, deleted for resources that were removed from DigitalOcean, all for both.
Enum values:
active
deleted
all
Default: active
querySearch resources by name.
List resources › Responses
Paginated set of Resource